WindowMode (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.visualizers.backend, enum: WindowMode

Package org.apache.jmeter.visualizers.backend

# Enum WindowMode

java.lang.Object
java.lang.Enum<WindowMode>
org.apache.jmeter.visualizers.backend.WindowMode

All Implemented Interfaces:
  `Serializable`, `Comparable<WindowMode>`, `java.lang.constant.Constable`

public enum WindowMode extends Enum<WindowMode>
Metrics are sent into boxes which can be `a fixed-size sliding window` or `time boxed`.

Since:
  3.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIXED`
  Fixed-size sliding window.
  `TIMED`
  Time boxed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WindowMode`
  `get()`
  Gets defined JMeter mode.
  `static WindowMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WindowMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIXED

    public static final WindowMode FIXED
    Fixed-size sliding window.

  - ### TIMED

    public static final WindowMode TIMED
    Time boxed.

- ## Method Details

  - ### values

    public static WindowMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WindowMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get

    public static WindowMode get()
    Gets defined JMeter mode.
    Returns:
      the defined window mode